Skip to main content
GET
/
custody-commissions
Get Custody Commissions
curl --request GET \
  --url https://api.example.com/custody-commissions
import requests

url = "https://api.example.com/custody-commissions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/custody-commissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "identifier": "commission123",
    "registeredConsumers": [
      "consumer1",
      "consumer2"
    ],
    "createdAt": "2024-03-20T12:00:00Z",
    "updatedAt": "2024-03-20T12:00:00Z"
  }
]

Query Parameters

page
number
default:1

Page number (1-based)

limit
number
default:10

Number of items per page

Response

200 - application/json

The custody commissions have been successfully retrieved

id
string
required

The unique identifier of the custody commission

Example:

"123e4567-e89b-12d3-a456-426614174000"

identifier
string
required

The unique identifier for this commission

Example:

"commission123"

registeredConsumers
string[]
required

List of registered consumer IDs

Example:
["consumer1", "consumer2"]
createdAt
string<date-time>
required

When the custody commission was created

Example:

"2024-03-20T12:00:00Z"

updatedAt
string<date-time>
required

When the custody commission was last updated

Example:

"2024-03-20T12:00:00Z"